Вопросы с тегом 'php7'

Вопросы, связанные с седьмым выпуском PHP, язык сценариев на стороне сервера, предназначенный для веб-разработки, который также может использоваться как язык программирования общего назначения
1
ответ

Ошибки при установке пакета php 7.0

Когда я выполняю: sudo apt-get install php7.0-mhash php7.0-openssl Я получаю: Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package php7.0-mhash E: Couldn't find any...
задан 28.05.2016 в 10:09
1
ответ

Как открыть phpMyAdmin? У меня есть выход PHP-скрипта

Как открыть phpMyAdmin? Если я открою свой localhost / phpmyadmin, у меня есть выход PHP-скрипта, но не интерфейс phpMyAdmin. (Нажмите, чтобы увеличить)     
задан 06.08.2016 в 06:06
2
ответа

обновлен до PHP 7 и получил всю ссылку php.ini на php_curl.dll вместо curl.so

Недавно я обновил свой сервер и принудительно обновил PHP с PHP 5 до 7. У меня все файлы php.ini указывают на файлы .dll (например, php_curl.dll), а не на curl.so. (он указывает на файлы в / var / lib / php / 20131012 / где все файлы есть .so...
задан 04.05.2016 в 12:06
1
ответ

Не удается запустить PHP 7 в браузере

Я успешно установил PHP 7, используя этот ссылка Когда я запускаю следующую команду в терминале php -v он успешно показывает, что версия версии PHP 7. Но когда я запускаю файл test.php (сделанный в доступной в Интернете папке,...
задан 30.03.2016 в 15:06
1
ответ

Последнее обновление отключает php7 для apache2 [закрыто]

Пожалуйста, дайте мне знать, какие журналы вам нужны, чтобы решить эту проблему. [email protected]:/etc/apache2/mods-enabled# uname -v #19-Ubuntu SMP Wed Oct 11 18:33:49 UTC 2017 [email protected]:/etc/apache2/mods-enabled# [email protected]
задан 05.11.2017 в 18:47
2
ответа

PHP7 на ubuntu 12.04

Я хотел бы обновить нашу версию php на новый php7. К сожалению, мы в настоящее время работаем на ubuntu 12.04. Я уже пытался установить php7 на соответствующую виртуальную машину с помощью репозитория ppa: ondrej / php . Это результат: Readi...
задан 19.04.2016 в 13:50
3
ответа

Ошибка: новый файл /usr/lib/php/7.0/php.ini-production.cli не существует!

После обновления моей системы я получил эту ошибку: Setting up php7.0-cli (7.0.5-1+deb.sury.org~trusty+1) ... Error: The new file /usr/lib/php/7.0/php.ini-production.cli does not exist! No apport report written because the error message indic...
задан 31.03.2016 в 20:16
0
ответов

Ubuntu 17.10 Использовать PHP7.0 вместо PHP7.1

У меня есть php7.1 и php7.0, установленные на моем ubuntu 17.10 . Когда я набираю php -v , результат показывает PHP 7.1.8-1buntu1 (cli). Однако у меня есть проект, который не поддерживает php 7.1, поэтому мне нужно понизить его до php 7.0....
задан 13.11.2017 в 11:51
0
ответов

Какова безопасная комбинация конфигурации php.ini и кода PHP для проверки SSL / TLS на Ubuntu 14.04?

Я использую PHP 7.0 из ppa:ondrej/php на Ubuntu 14.04. Я взаимодействую с API и хочу, чтобы мой PHP / CURL-код взаимодействовал с правильным сервером и надежно (без какого-либо риска отслеживания, MITM, фальсификации и т. Д.). Я немного по...
задан 21.07.2017 в 00:09
1
ответ

downgrade PHP 7.1 для PHP 7.0

У меня есть сервер Ubuntu 16.04 с nginx + PHP7.1.2. У меня есть PHP-скрипт, который выполняется cronjob, он дает некоторые проблемы совместимости (в PHP 7.0 он отлично работает, и у других людей такая же проблема), поэтому сейчас мне нужно пониз...
задан 24.02.2017 в 20:27